#include <tuyau.h>

#include <gint/std/string.h>

static teleport_t teleporteurs[6]={0}; // 6 max
static int nombre_teleporteurs=0; // Nombre d'entités utilisés dans le niveau actuel

void set_teleporteurs(teleport_t const * const t, int const n)
{
	nombre_teleporteurs=0;
	if (t)
	{
		if (n>6)
			nombre_teleporteurs=6;
		else
			nombre_teleporteurs=n;
		if (nombre_teleporteurs)
		{
			memcpy(teleporteurs, t, sizeof(teleport_t)*n);
		}
	}
}